Activity log for bug #1708936

Date Who What changed Old value New value Message
2017-08-06 14:30:06 Jeremy Bicha bug added bug
2017-08-06 14:30:25 Jeremy Bicha summary GNOME Software on Xenial doesn't install 3rd party deb's, doesn't prompt for authentication GNOME Software 3.20.5 doesn't install 3rd party deb's, doesn't prompt for authentication
2017-08-06 14:43:29 Jeremy Bicha description Ubuntu GNOME 16.04.3 gnome-software 3.20.5-0ubuntu0.16.04.5 Impact ------ Test Case --------- Visit https://www.google.com/chrome/ in Firefox and download Chrome. Open with "Software Install" The Ubuntu/GNOME Software app should start and show you a basic page about Google Chrome Click Install. Google Chrome should install itself What Happens ------------ The Install page does show up. After clicking the Install button, the button changes to Installing for a few seconds and then changes back to Install. Google Chrome is not installed. There is no PolicyKit authentication prompt to install software. Other Info ---------- I am setting the importance of this bug to critical according to #7 of https://wiki.ubuntu.com/StableReleaseUpdates#Procedure Ubuntu GNOME 16.04.3 gnome-software 3.20.5-0ubuntu0.16.04.5 Impact ------ Test Case --------- Visit https://www.google.com/chrome/ in Firefox and download Chrome. Open with "Software Install" The Ubuntu/GNOME Software app should start and show you a basic page about Google Chrome Click Install. Google Chrome should install itself What Happens ------------ The Install page does show up. After clicking the Install button, the button changes to Installing for a few seconds and then changes back to Install. Google Chrome is not installed. There is no PolicyKit authentication prompt to install software. When I run gnome-software --verbose, Progress says 9% which I think is when it would ask for authentication. Other Info ---------- I am setting the importance of this bug to critical according to #7 of https://wiki.ubuntu.com/StableReleaseUpdates#Procedure
2017-08-08 09:15:02 Launchpad Janitor gnome-software (Ubuntu): status New Confirmed
2017-08-08 13:14:51 Miroslav bug added subscriber Miroslav
2017-08-09 08:47:37 Robert Ancell gnome-software (Ubuntu): assignee Robert Ancell (robert-ancell)
2017-08-10 00:37:54 Robert Ancell gnome-software (Ubuntu): status Confirmed Fix Committed
2017-08-10 00:43:45 Robert Ancell nominated for series Ubuntu Xenial
2017-08-10 00:43:45 Robert Ancell bug task added gnome-software (Ubuntu Xenial)
2017-08-10 00:43:51 Robert Ancell gnome-software (Ubuntu Xenial): assignee Robert Ancell (robert-ancell)
2017-08-10 00:43:53 Robert Ancell gnome-software (Ubuntu Xenial): importance Undecided Critical
2017-08-10 00:43:57 Robert Ancell gnome-software (Ubuntu): importance Critical Medium
2017-08-10 00:43:59 Robert Ancell gnome-software (Ubuntu): assignee Robert Ancell (robert-ancell)
2017-08-10 00:44:01 Robert Ancell gnome-software (Ubuntu Xenial): status New Fix Committed
2017-08-10 00:44:03 Robert Ancell gnome-software (Ubuntu): status Fix Committed Fix Released
2017-08-10 01:33:28 Launchpad Janitor branch linked lp:~ubuntu-desktop/gnome-software/ubuntu-xenial
2017-08-31 11:54:52 Jeremy Bicha description Ubuntu GNOME 16.04.3 gnome-software 3.20.5-0ubuntu0.16.04.5 Impact ------ Test Case --------- Visit https://www.google.com/chrome/ in Firefox and download Chrome. Open with "Software Install" The Ubuntu/GNOME Software app should start and show you a basic page about Google Chrome Click Install. Google Chrome should install itself What Happens ------------ The Install page does show up. After clicking the Install button, the button changes to Installing for a few seconds and then changes back to Install. Google Chrome is not installed. There is no PolicyKit authentication prompt to install software. When I run gnome-software --verbose, Progress says 9% which I think is when it would ask for authentication. Other Info ---------- I am setting the importance of this bug to critical according to #7 of https://wiki.ubuntu.com/StableReleaseUpdates#Procedure Ubuntu GNOME 16.04.3 gnome-software 3.20.5-0ubuntu0.16.04.5 Impact ------ This is a really bad regression. Test Case --------- Visit https://www.google.com/chrome/ in Firefox and download Chrome. Open with "Software Install" The Ubuntu/GNOME Software app should start and show you a basic page about Google Chrome Click Install. Google Chrome should install itself What Happens ------------ The Install page does show up. After clicking the Install button, the button changes to Installing for a few seconds and then changes back to Install. Google Chrome is not installed. There is no PolicyKit authentication prompt to install software. When I run gnome-software --verbose, Progress says 9% which I think is when it would ask for authentication. Regression Potential -------------------- This fixes a High Impact bug. And the fix is minimal: https://bazaar.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-xenial/revision/41 Other Info ---------- I am setting the importance of this bug to critical according to #7 of https://wiki.ubuntu.com/StableReleaseUpdates#Procedure
2017-08-31 12:09:10 Łukasz Zemczak description Ubuntu GNOME 16.04.3 gnome-software 3.20.5-0ubuntu0.16.04.5 Impact ------ This is a really bad regression. Test Case --------- Visit https://www.google.com/chrome/ in Firefox and download Chrome. Open with "Software Install" The Ubuntu/GNOME Software app should start and show you a basic page about Google Chrome Click Install. Google Chrome should install itself What Happens ------------ The Install page does show up. After clicking the Install button, the button changes to Installing for a few seconds and then changes back to Install. Google Chrome is not installed. There is no PolicyKit authentication prompt to install software. When I run gnome-software --verbose, Progress says 9% which I think is when it would ask for authentication. Regression Potential -------------------- This fixes a High Impact bug. And the fix is minimal: https://bazaar.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-xenial/revision/41 Other Info ---------- I am setting the importance of this bug to critical according to #7 of https://wiki.ubuntu.com/StableReleaseUpdates#Procedure Ubuntu GNOME 16.04.3 gnome-software 3.20.5-0ubuntu0.16.04.5 Impact ------ Not being able to install 3rd party deb's is a very serious regression. Test Case --------- Visit https://www.google.com/chrome/ in Firefox and download Chrome. Open with "Software Install" The Ubuntu/GNOME Software app should start and show you a basic page about Google Chrome Click Install. Google Chrome should install itself What Happens ------------ The Install page does show up. After clicking the Install button, the button changes to Installing for a few seconds and then changes back to Install. Google Chrome is not installed. There is no PolicyKit authentication prompt to install software. When I run gnome-software --verbose, Progress says 9% which I think is when it would ask for authentication. Regression Potential -------------------- This fixes a High Impact bug. And the fix is minimal: https://bazaar.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-xenial/revision/41 Other Info ---------- I am setting the importance of this bug to critical according to #7 of https://wiki.ubuntu.com/StableReleaseUpdates#Procedure
2017-08-31 12:57:09 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2017-08-31 12:57:13 Łukasz Zemczak bug added subscriber SRU Verification
2017-08-31 12:57:16 Łukasz Zemczak tags regression-update xenial regression-update verification-needed verification-needed-xenial xenial
2017-09-04 08:11:58 Jean-Baptiste Lallement tags regression-update verification-needed verification-needed-xenial xenial regression-update verification-done verification-done-xenial xenial
2017-09-21 16:36:23 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2017-09-21 16:36:14 Launchpad Janitor gnome-software (Ubuntu Xenial): status Fix Committed Fix Released